Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class MunicipalityType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.MunicipalityType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class MunicipalityType

extends Object
implements Serializable

Code, postalcode and description of a municipality

Java class for MunicipalityType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MunicipalityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InsCode" type="{urn:be:fgov:ehealth:consultRN:1_0:core}MunicipalityNISType" minOccurs="0"/>
             <element name="PostalCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Description" type="{urn:be:fgov:ehealth:commons:1_0:core}LocalisedString" maxOccurs="5" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MunicipalityType()`

Method Summary
`List<LocalisedString>` | `getDescriptions()` Gets the value of the descriptions property.
`Integer` | `getInsCode()` Gets the value of the insCode property.
`String` | `getPostalCode()` Gets the value of the postalCode property.
`void` | `setInsCode(Integer value)` Sets the value of the insCode property.
`void` | `setPostalCode(String value)` Sets the value of the postalCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MunicipalityType

    public MunicipalityType()

Method Detail

### getInsCode

    public Integer getInsCode()

  Gets the value of the insCode property.

  Returns:
    possible object is `Integer`

### setInsCode

    public void setInsCode(Integer value)

  Sets the value of the insCode property.

  Parameters:
    `value` - allowed object is `Integer`

### getPostalCode

    public String getPostalCode()

  Gets the value of the postalCode property.

  Returns:
    possible object is `String`

### setPostalCode

    public void setPostalCode(String value)

  Sets the value of the postalCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptions

    public List<LocalisedString> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalisedString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.